mobileactivation_activate
mobileactivation_activate_with_session
mobileactivation_client_free
mobileactivation_client_new
mobileactivation_client_start_service
mobileactivation_client_t
mobileactivation_create_activation_info
mobileactivation_create_activation_info_with_session
mobileactivation_create_activation_session_info
mobileactivation_deactivate
mobileactivation_error_t
mobileactivation_get_activation_state
MOBILEACTIVATION_SERVICE_NAME

## mobileactivation_create_activation_session_info()

LIBIMOBILEDEVICE_API mobileactivation_error_t mobileactivation_create_activation_session_info | ( | mobileactivation_client_t | client,
|  | plist_t * | blob )

Retrieves a session blob required for 'drmHandshake' via albert.apple.com.

Parameters

  client | The mobileactivation client
  blob | Pointer to a plist_t variable that will be set to the session blob created by the mobielactivation service. The consumer is responsible for freeing the returned object using plist_free().

Returns
  MOBILEACTIVATION_E_SUCCESS on success, or an MOBILEACTIVATION_E_* error code otherwise.